# kSpigotJsonConfig

inline fun <T : Any> kSpigotJsonConfig(file: File, noinline default: () -> T? = null): ConfigDelegate<T>
Content copied to clipboard

Creates a new ConfigDelegate object.

You can use this as a delegate (with by) or a normal object. (Delegate allows direct access to the config object, but does not provide save() or reload() methods.)

## Parameters

default

Optional default config, which will be used if there is no config file and a new one should be created.

file

The path to the config.

T

The class type of the config.